import React from "react";
import { PropsWithChildren } from "react";
interface AmisRendererProps {
    $schema: object;
    schema: object;
    data: object;
    render: Function;
}
interface AmisRendererState {
    schema: object | null;
}
export declare class AmisRenderer extends React.Component<PropsWithChildren<AmisRendererProps>, AmisRendererState> {
    constructor(props: any);
    loadSchema: () => Promise<void>;
    componentDidMount(): Promise<void>;
    render(): React.ReactNode;
}
export {};
